# MeshArrays.jl

`MeshArrays.jl` defines an array type that can contain / organize / distribute collections of inter-connected arrays as done in climate models (depicted below). `MeshArrays.jl`'s data structures can be used to accurately analyze [ocean transports](https://doi.org/10.1038/s41561-019-0333-7), [particle displacements](https://doi.org/10.21105/joss.02813), and many other important topics in climate science.

!!! note
    See [Global Ocean Notebooks](https://github.com/JuliaClimate/GlobalOceanNotebooks.git), [IndividualDisplacements.jl](https://juliaclimate.github.io/IndividualDisplacements.jl/dev/), or [MITgcmUtils.jl]() for more use case examples.


## Contents

```@contents
Pages = ["start.md","main.md","API.md","videos.md","detail.md"]
Depth = 2
```
